APIGateways

An API gateway consists of the generic rules and configurations of an API Gateway.

This tag groups all operations for apigateways.

Retrieve all APIGateways

get
/gateways

This endpoint enables retrieving all APIGateways using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
orderBystring · enumOptional

The field to order the results by. If not provided, the results will be ordered by the default field.

Default: -createdDatePossible values:
Responses
chevron-right
200

Returned all requested APIGateways successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Gateway resources.

Example: 274004e3-6f41-5468-862f-64a7b3445c18
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Gateway resources.

Example: /gateways
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/gateways

Create Gateway

post
/gateways

Creates a new Gateway.

The full Gateway needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
post
/gateways

Retrieve Gateway

get
/gateways/{apigatewayId}

Returns the Gateway by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
apigatewayIdstring · uuidRequired

The ID (UUID) of the Gateway.

Example: 0620c174-dd3c-5eb4-87c8-e2b516553a00
Responses
chevron-right
200

Getting Gateway was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Gateway.

Example: 0620c174-dd3c-5eb4-87c8-e2b516553a00
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Gateway.

Example: /gateways/0620c174-dd3c-5eb4-87c8-e2b516553a00
get
/gateways/{apigatewayId}

Ensure Gateway

put
/gateways/{apigatewayId}

Ensures that the Gateway with the provided ID is created or modified. The full Gateway needs to be provided to ensure (either update or create) the Gateway. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
apigatewayIdstring · uuidRequired

The ID (UUID) of the Gateway.

Example: 0620c174-dd3c-5eb4-87c8-e2b516553a00
Body
idstring · uuidRequired

The ID (UUID) of the Gateway.

Example: 0620c174-dd3c-5eb4-87c8-e2b516553a00
metadataanyOptional

Metadata

Responses
chevron-right
200

Gateway successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the Gateway.

Example: 0620c174-dd3c-5eb4-87c8-e2b516553a00
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Gateway.

Example: /gateways/0620c174-dd3c-5eb4-87c8-e2b516553a00
put
/gateways/{apigatewayId}

Delete Gateway

delete
/gateways/{apigatewayId}

Deletes the specified Gateway.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
apigatewayIdstring · uuidRequired

The ID (UUID) of the Gateway.

Example: 0620c174-dd3c-5eb4-87c8-e2b516553a00
Responses
delete
/gateways/{apigatewayId}

No content

Last updated

Was this helpful?